local MSQ = LibStub("Masque", true)
if not MSQ then return end

local version = GetAddOnMetadata("PrankUI_Masque","Version")

-- Clean Icons - Square
MSQ:AddSkin("PrankUI", {
	Author = "Prankstar",
	Version = version,
	Masque_Version = 70200,
	Shape = "Square",
	Backdrop = {
		Width = 33,
		Height = 33,
		TexCoords = {0.2, 0.8, 0.2, 0.8},
		Texture = [[Interface\Buttons\UI-EmptySlot]],
	},
	Icon = {
		Width = 31,
		Height = 31,
		TexCoords = {0.07, 0.93, 0.07, 0.93},
	},
	Flash = {
		Width = 31,
		Height = 31,
		TexCoords = {0.2, 0.8, 0.2, 0.8},
		Texture = [[Interface\Buttons\UI-QuickslotRed]],
	},
	Cooldown = {
		Width = 33,
		Height = 33,
	},
	ChargeCooldown = {
		Width = 33,
		Height = 33,
	},
	Pushed = {
		Width = 35,
		Height = 35,
		Texture = [[Interface\Buttons\UI-Quickslot-Depress]],
	},
	Normal = {
		Width = 57,
		Height = 57,
		OffsetX = 1,
		OffsetY = -1,
		Texture = [[Interface\Buttons\UI-Quickslot2]],
		EmptyTexture = [[Interface\Buttons\UI-Quickslot]],
		EmptyColor = {1, 1, 1, 0.5},
	},
	Disabled = {
		Hide = true,
	},
	Checked = {
		Width = 32,
		Height = 32,
		BlendMode = "ADD",
		Texture = [[Interface\Buttons\CheckButtonHilight]],
	},
	Border = {
		Width = 61,
		Height = 61,
		OffsetX = 1,
		OffsetY = 1,
		BlendMode = "ADD",
		Texture = [[Interface\Buttons\UI-ActionButton-Border]],
	},
	Gloss = {
		Hide = true,
	},
	AutoCastable = {
		Width = 57,
		Height = 57,
		OffsetX = 1,
		OffsetY = -1,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 31,
		Height = 31,
		BlendMode = "ADD",
		Texture = [[Interface\Buttons\ButtonHilight-Square]],
	},
	Name = {
		Width = 33,
		Height = 10,
		OffsetY = 6,
	},
	Count = {
		Width = 33,
		Height = 10,
		OffsetX = -3,
		OffsetY = 6,
	},
	HotKey = {
		Width = 33,
		Height = 10,
		OffsetX = 1,
		OffsetY = -6,
	},
	Duration = {
		Width = 37,
		Height = 10,
		OffsetY = -2,
	},
	Shine = {
		Width = 33,
		Height = 33,
		OffsetX = 1,
		OffsetY = -1
	},
}, true)
